Bug 7675 - focus doesn't switch properly between multiple views on the same screen
focus doesn't switch properly between multiple views on the same screen
Product: Red Hat Linux
Classification: Retired
Component: screen (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 1999-12-07 21:33 EST by Sittampalam, Ganesh
Modified: 2014-03-16 22:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-12-16 15:50:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sittampalam, Ganesh 1999-12-07 21:33:48 EST
Start a screen, and have at least two windows in it. Get a different views
of the screen by running screen -x from another login (to the same account
of course). Make sure that this view is showing a different window in the

Type something in one view, then switch to the other view and press UP.
Nothing will happen, but if you go back to the first view you will see
that UP has been pressed there instead. Doing something other than
pressing UP or DOWN in the new view seems to fix this problem.

I have only confirmed that this happens (on two different machines,
though) when logging in via ssh.
Comment 1 Bill Nottingham 1999-12-08 11:26:59 EST
Confirmed. What I'm guessing actually happens is that
just hitting up or down doesn't cause sceen to
switch to whatever screen is 'foreground' on the
current vt/pty/whatever you want to call it.
Comment 2 Bill Nottingham 1999-12-16 15:50:59 EST
Fixed in screen-3.9.5, in Raw Hide.

Note You need to log in before you can comment on or make changes to this bug.